Retrieve payment receipts

Retrieve a list of payments made to Deel, including worker details, payment status, and payment methods. Token scopes: accounting:read

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

date_fromstringOptionalformat: "date"

Filters results to include payments created on or after this date (in ISO 8601 format).

date_tostringOptionalformat: "date"

Filters results to include payments created before this date (in ISO 8601 format).

cursorstringOptional

A cursor for pagination. Use the value returned in the ‘next_cursor’ field to get the next page of results.

currencieslist of strings or stringOptional
Filters payments by their currency codes. Can be a single currency code or an array of codes.
entitieslist of enums or enumOptional

Filters payments by legal entity type (e.g., ‘individual’ or ‘company’). Can be a single entity type or an array.

statuseslist of enums or enumOptional

Filters payments by their status (e.g., ‘paid’ or ‘processing’). Can be a single status type or an array.

Response

Successful operation.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error